org.springframework.oxm.support

## Class SaxResourceUtils

- java.lang.Object
- - org.springframework.oxm.support.SaxResourceUtils

    public abstract class SaxResourceUtils
    extends Object

Convenient utility methods for dealing with SAX.

Since:
  3.0
Author:
  Arjen Poutsma, Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`SaxResourceUtils()`

### Method Summary

Methods
`static InputSource` `createInputSource(Resource resource)` Create a SAX `InputSource` from the given resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SaxResourceUtils

    public SaxResourceUtils()

### Method Detail

#### createInputSource

    public static InputSource createInputSource(Resource resource)
                                         throws IOException

Create a SAX `InputSource` from the given resource.

Sets the system identifier to the resource's `URL`, if available.

Parameters:
  `resource` - the resource
Returns:
  the input source created from the resource
Throws:
  `IOException` - if an I/O exception occurs
See Also:
  `InputSource.setSystemId(String)`, `getSystemId(org.springframework.core.io.Resource)`